Forum: Ruby on Rails Newbie question - ActionController::RoutingError

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Gopal B. (Guest)
on 2006-03-28 18:40
When i run my server and just chk in browser i get

---------------------------------------------------
ActionController::RoutingError (Recognition failed for
"/rails_info/properties"):
    /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:488:in
`recognition_failed'
    /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:478:in
`recognize!'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/dispatcher.rb:38:in
`dispatch'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:150:in
`process_request'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:54:in
`process!'
    /usr/local/lib/ruby/site_ruby/1.8/fcgi.rb:600:in `each_cgi'
    /usr/local/lib/ruby/site_ruby/1.8/fcgi.rb:597:in `each_cgi'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:53:in
`process!'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:23:in
`process!'
    /Users/gopalbalaji/Projects/depot/public/dispatch.fcgi:24
-------------------------------------------------------


can i know the reason and anything to update.


thanx
g.balaji
Dorian M. (Guest)
on 2006-03-28 19:21
(Received via mailing list)
have you changed anything in your routes file?
Anonyman (Guest)
on 2006-04-02 20:24
I get precisely the same error, on both OS X and Solaris, on both
existing and brand new projects, and whether I use WEBrick or lighttpd

ActionController::RoutingError (Recognition failed for
"/rails_info/properties"):
    /opt/csw/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:488:in
`recognition_failed'
    /opt/csw/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:478:in
`recognize!'
    /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/dispatcher.rb:38:in
`dispatch'
    /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:150:in
`process_request'
    /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:54:in
`process!'
    /opt/csw/lib/ruby/site_ruby/1.8/fcgi.rb:600:in `each_cgi'
    /opt/csw/lib/ruby/site_ruby/1.8/fcgi.rb:597:in `each_cgi'
    /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:53:in
`process!'
    /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:23:in
`process!'
    /z/m777/test/new/public/dispatch.fcgi:24

I've found no solution yet.  I think I have a pristine install:

# ./script/about
About your application's environment
Ruby version                 1.8.4 (i386-solaris2.8)
RubyGems version             0.8.11
Rails version                1.1.0
Active Record version        1.14.0
Action Pack version          1.12.0
Action Web Service version   1.1.0
Action Mailer version        1.2.0
Active Support version       1.3.0
Application root             /z/m777/test/new
Environment                  development
Database adapter             mysql
#
This topic is locked and can not be replied to.